﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WorldServerLibrary.Model
{
    public enum MotorSystemType
    {
        CAR,
        TWO_WHEEL
    }

    public class Creature:Thing
    {				
		public Creature() { LeafletList = new List<Leaflet>(); knapsack = new List<Thing>();}
        public Int32 index { get; set; }
		public MotorSystemType MotorSystem { get; set; }
        public double Wheel { get; set; }
        public double Speed { get; set; }
        public double Fuel { get; set; }
        public Boolean HasLeaflet { get; set; }
        public Int32 NumberOfLeaflets { get; set; }		
		public string LongName { get; set; }
		public List<Leaflet> LeafletList;
		public List<Thing> knapsack;
    }
}
